package de.intevation.flys.artifacts.model;

import org.apache.log4j.Logger;

import de.intevation.artifacts.Artifact;
import de.intevation.artifacts.CallContext;

import de.intevation.artifactdatabase.state.DefaultFacet;

import de.intevation.flys.artifacts.WINFOArtifact;
import de.intevation.flys.artifacts.model.ComputeCallback.ComputeType;


public class DurationCurveFacet extends DefaultFacet {

    private static Logger logger = Logger.getLogger(DurationCurveFacet.class);


    public DurationCurveFacet(int index, String name, String description) {
        super(index, name, description);
    }


    public Object getData(Artifact artifact, CallContext context) {
        logger.debug("Get data for duration curve data at index: " + index);

        WINFOArtifact winfo = (WINFOArtifact) artifact;

        WQDay[] wqday = (WQDay[]) winfo.compute(context, ComputeType.ADVANCE);

        return wqday[index];
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
